org.eclipse.emf.cdo.spi.common.revision

## Class RevisionInfo.Available.Pointer

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.revision.RevisionInfo
  - - org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Available
    - - org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Available.Pointer

- Enclosing class:
    RevisionInfo.Available

      public static class RevisionInfo.Available.Pointer
      extends RevisionInfo.Available

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Available

      `RevisionInfo.Available.Detached, RevisionInfo.Available.Normal, RevisionInfo.Available.Pointer`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo

      `RevisionInfo.Available, RevisionInfo.Missing, RevisionInfo.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pointer(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion, CDOBranchVersion targetBranchVersion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBranchVersion` | `getTargetBranchVersion()`
    `RevisionInfo.Type` | `getType()`
    `boolean` | `hasTarget()`
    `boolean` | `isLoadNeeded()`
    `void` | `processResult(InternalCDORevisionManager revisionManager, java.util.List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)`
    `void` | `write(CDODataOutput out)`

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Available

      `getAvailableBranchVersion, isDirect, readRevision, writeRevision`

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo

      `doReadResult, doWriteResult, execute, getID, getRequestedBranchPoint, getResult, getSynthetic, read, readResult, readResult, setResult, setSynthetic, toString, writeResult, writeResult, writeResult, writeResult, writeRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Pointer

          public Pointer(CDOID id,
                         CDOBranchPoint requestedBranchPoint,
                         CDOBranchVersion availableBranchVersion,
                         CDOBranchVersion targetBranchVersion)

  - ### Method Detail

    - #### getTargetBranchVersion

          public CDOBranchVersion getTargetBranchVersion()

    - #### getType

          public RevisionInfo.Type getType()

      Specified by:
        `getType` in class `RevisionInfo`

    - #### hasTarget

          public boolean hasTarget()

    - #### isLoadNeeded

          public boolean isLoadNeeded()

      Overrides:
        `isLoadNeeded` in class `RevisionInfo.Available`

    - #### write

          public void write(CDODataOutput out)
                     throws java.io.IOException

      Overrides:
        `write` in class `RevisionInfo.Available`
      Throws:
        `java.io.IOException`

    - #### processResult

          public void processResult(InternalCDORevisionManager revisionManager,
                                    java.util.List<CDORevision> results,
                                    SyntheticCDORevision[] synthetics,
                                    int i)

      Overrides:
        `processResult` in class `RevisionInfo`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html